### Function

# Qmi MessageLocSetEngineLockInput new

since: 1.28

#### Declaration [src]

    QmiMessageLocSetEngineLockInput*
    qmi_message_loc_set_engine_lock_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageLocSetEngineLockInput`.

Available since: 1.28

#### Return value

Type: `QmiMessageLocSetEngineLockInput`

The newly created `QmiMessageLocSetEngineLockInput`. The returned value should be freed with qmi_message_loc_set_engine_lock_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.